Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl
Class WsdlInterface

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.InterfaceConfig>
              com.eviware.soapui.impl.wsdl.WsdlInterface

All Implemented Interfaces:
  Interface, ModelItem, PropertyChangeNotifier

    public class WsdlInterface

extends AbstractWsdlModelItem<com.eviware.soapui.config.InterfaceConfig>
implements Interface

WSDL implementation of Interface, maps to a WSDL Binding

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary
`static java.lang.String` | `JBOSSWS_ACTIONS`
`static java.lang.String` | `STYLE_DOCUMENT`
`static java.lang.String` | `STYLE_RPC`
`static java.lang.String` | `WSTOOLS_ACTIONS`
`static java.lang.String` | `XML_ACTIONS`

Fields inherited from interface com.eviware.soapui.model.iface.Interface
`DEFINITION_PROPERTY, ENDPOINT_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlInterface(WsdlProject project, com.eviware.soapui.config.InterfaceConfig interfaceConfig)`

Method Summary
`void` | `addEndpoint(java.lang.String endpoint)`
`void` | `addInterfaceListener(InterfaceListener listener)`
`WsdlOperation` | `addNewOperation(javax.wsdl.BindingOperation operation)`
`com.eviware.soapui.config.DefinitionCacheConfig` | `cacheDefinition(WsdlLoader loader)`
`void` | `changeEndpoint(java.lang.String oldEndpoint, java.lang.String newEndpoint)`
`void` | `clearCache()`
`WsdlLoader` | `createWsdlLoader()`
`void` | `fireOperationAdded(WsdlOperation operation)`
`void` | `fireOperationRemoved(WsdlOperation operation)`
`void` | `fireOperationUpdated(WsdlOperation operation)`
`void` | `fireRequestAdded(WsdlRequest request)`
`void` | `fireRequestRemoved(WsdlRequest request)`
`javax.xml.namespace.QName` | `getBindingName()`
`java.lang.String` | `getDefinition()`
`java.lang.String[]` | `getEndpoints()`
`java.lang.String` | `getEndpointURL(java.lang.String endpoint)` Gets the endpoint url for the specified endpoint (which may be a label)
`DefaultActionList` | `getGenerateActions()`
`SoapMessageBuilder` | `getMessageBuilder()`
`WsdlOperation` | `getOperationAt(int index)`
`WsdlOperation` | `getOperationByName(java.lang.String name)`
`int` | `getOperationCount()`
`java.util.List<Operation>` | `getOperations()`
`WsdlProject` | `getProject()`
`SoapVersion` | `getSoapVersion()`
`java.lang.String` | `getStyle()`
`WsdlContext` | `getWsdlContext()`
`boolean` | `isCached()`
`void` | `onSave()`
`void` | `release()`
`void` | `removeEndpoint(java.lang.String endpoint)`
`void` | `removeInterfaceListener(InterfaceListener listener)`
`void` | `setBindingName(javax.xml.namespace.QName name)`
`void` | `setDefinition(java.lang.String wsdlUrl, boolean cache)`
`void` | `setSoapMessageBuilder(SoapMessageBuilder builder)`
`void` | `setSoapVersion(SoapVersion version)`
`void` | `setWsdlContext(WsdlContext wsdlContext)` Used by importer so we dont need to reload the context after importing..
`boolean` | `updateDefinition(java.lang.String url, boolean createRequests)`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getIcon, getName, getParent, getSettings, getWsdlModelItemByName, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### STYLE_DOCUMENT

    public static final java.lang.String STYLE_DOCUMENT

See Also:
  Constant Field Values

### STYLE_RPC

    public static final java.lang.String STYLE_RPC

See Also:
  Constant Field Values

### JBOSSWS_ACTIONS

    public static final java.lang.String JBOSSWS_ACTIONS

See Also:
  Constant Field Values

### WSTOOLS_ACTIONS

    public static final java.lang.String WSTOOLS_ACTIONS

See Also:
  Constant Field Values

### XML_ACTIONS

    public static final java.lang.String XML_ACTIONS

See Also:
  Constant Field Values

Constructor Detail

### WsdlInterface

    public WsdlInterface(WsdlProject project,
                         com.eviware.soapui.config.InterfaceConfig interfaceConfig)

Method Detail

### getGenerateActions

    public DefaultActionList getGenerateActions()

### getEndpoints

    public java.lang.String[] getEndpoints()

  Specified by:
    `getEndpoints` in interface `Interface`

### getOperationAt

    public WsdlOperation getOperationAt(int index)

  Specified by:
    `getOperationAt` in interface `Interface`

### getOperationCount

    public int getOperationCount()

  Specified by:
    `getOperationCount` in interface `Interface`

### addNewOperation

    public WsdlOperation addNewOperation(javax.wsdl.BindingOperation operation)

### getProject

    public WsdlProject getProject()

  Specified by:
    `getProject` in interface `Interface`

### addEndpoint

    public void addEndpoint(java.lang.String endpoint)

  Specified by:
    `addEndpoint` in interface `Interface`

### changeEndpoint

    public void changeEndpoint(java.lang.String oldEndpoint,
                               java.lang.String newEndpoint)

  Specified by:
    `changeEndpoint` in interface `Interface`

### removeEndpoint

    public void removeEndpoint(java.lang.String endpoint)

  Specified by:
    `removeEndpoint` in interface `Interface`

### setDefinition

    public void setDefinition(java.lang.String wsdlUrl,
                              boolean cache)

### cacheDefinition

    public com.eviware.soapui.config.DefinitionCacheConfig cacheDefinition(WsdlLoader loader)
                                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDefinition

    public java.lang.String getDefinition()

  Specified by:
    `getDefinition` in interface `Interface`

### getWsdlContext

    public WsdlContext getWsdlContext()

  Specified by:
    `getWsdlContext` in interface `Interface`

### setWsdlContext

    public void setWsdlContext(WsdlContext wsdlContext)

  Used by importer so we dont need to reload the context after importing..

  Parameters:
    `wsdlContext` -

### getMessageBuilder

    public SoapMessageBuilder getMessageBuilder()

  Specified by:
    `getMessageBuilder` in interface `Interface`

### setSoapMessageBuilder

    public void setSoapMessageBuilder(SoapMessageBuilder builder)

### getBindingName

    public javax.xml.namespace.QName getBindingName()

  Specified by:
    `getBindingName` in interface `Interface`

### setBindingName

    public void setBindingName(javax.xml.namespace.QName name)

### getSoapVersion

    public SoapVersion getSoapVersion()

### setSoapVersion

    public void setSoapVersion(SoapVersion version)

### updateDefinition

    public boolean updateDefinition(java.lang.String url,
                                    boolean createRequests)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### fireOperationAdded

    public void fireOperationAdded(WsdlOperation operation)

### fireOperationUpdated

    public void fireOperationUpdated(WsdlOperation operation)

### fireOperationRemoved

    public void fireOperationRemoved(WsdlOperation operation)

### fireRequestAdded

    public void fireRequestAdded(WsdlRequest request)

### fireRequestRemoved

    public void fireRequestRemoved(WsdlRequest request)

### addInterfaceListener

    public void addInterfaceListener(InterfaceListener listener)

  Specified by:
    `addInterfaceListener` in interface `Interface`

### removeInterfaceListener

    public void removeInterfaceListener(InterfaceListener listener)

  Specified by:
    `removeInterfaceListener` in interface `Interface`

### getEndpointURL

    public java.lang.String getEndpointURL(java.lang.String endpoint)

  Gets the endpoint url for the specified endpoint (which may be a label)

  Parameters:
    `endpoint` - the endpoint to get for
  Returns:
    the endpoints url

### getOperationByName

    public WsdlOperation getOperationByName(java.lang.String name)

  Specified by:
    `getOperationByName` in interface `Interface`

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `Interface`

### createWsdlLoader

    public WsdlLoader createWsdlLoader()

  Specified by:
    `createWsdlLoader` in interface `Interface`

### clearCache

    public void clearCache()

### getStyle

    public java.lang.String getStyle()

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.InterfaceConfig>`

### getOperations

    public java.util.List<Operation> getOperations()

  Specified by:
    `getOperations` in interface `Interface`

### onSave

    public void onSave()

  Overrides:
    `onSave` in class `AbstractWsdlModelItem<com.eviware.soapui.config.InterfaceConfig>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.